Bug 119759 - [sound] [snd_emu10k1] [regression] Can not record anything with emu10k1 on 7.0-PRERELEASE (Invalid argument)
Summary: [sound] [snd_emu10k1] [regression] Can not record anything with emu10k1 on 7....
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.0-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-17 20:50 UTC by yuri
Modified: 2018-05-28 19:49 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yuri 2008-01-17 20:50:01 UTC
When I am trying to record something using rawrec-0.9.991:
/usr/local/bin/rawrec myfile.raw
I get an error:
rawrec: read syscall of dsp device failed: Invalid argument

Same with cp:
cp /dev/dsp myfile.raw
cp: /dev/dsp: Invalid argument

It used to work in 6.x.

Yuri

Fix: 

n/a
How-To-Repeat: 1. Have EMU10K1 based card
2. cp /dev/dsp myfile.raw
3. observe an error
Comment 1 Remko Lodder freebsd_committer 2008-01-17 21:08:42 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-multimedia

reassign to multimedia team
Comment 2 yuri 2008-02-02 20:54:36 UTC
Now recording works for me with this kernel:
FreeBSD 7.0-PRERELEASE #1: Thu Jan 24 19:51:52 PST 2008

Not sure if the original issue was/is intermittent or it is really gone.

Yuri
Comment 3 Mark Kane 2008-02-17 00:21:13 UTC
Hi.

I have been experiencing this problem as well with emu10k1 since moving
from 6.x to 7.x.

I've been watching this PR and saw Yuri's latest message that an
updated kernel allowed him to record again. I just updated my system to
RELENG_7 as of yesterday however the issue still persists for me.

I get the same errors when using rawrec/cp and Audacity does not record
properly either. Audacity outputs lots of these to the terminal:

PortAudio: read interrupted!
PortAudio: read interrupted!
PortAudio: read interrupted!

Thanks in advance,

-Mark

FreeBSD amd645200.localhost 7.0-PRERELEASE FreeBSD 7.0-PRERELEASE #1:
Fri Feb 15 16:29:55 CST 2008
mixx941@amd645200.localhost:/usr/obj/usr/src/sys/AMD645200  amd64

FreeBSD Audio Driver (newpcm: 64bit 2007061600/amd64)
Installed devices:
pcm0: <Creative Audigy 2 (EMU10K2)> at io 0xdc00 irq 16  [MPSAFE]
(8p:1v/2r:1v channels duplex default)
Comment 4 yuri 2008-02-19 20:13:18 UTC
Now I tried again and it doesn't work again for me.
Kernel: 7.0-PRERELEASE FreeBSD 7.0-PRERELEASE #4: Tue Feb 19 08:18:11 
PST 2008
Seems the problem is intermittent or dependent on the version of 7.0.

Relevant dmesg messages:
pcm0: <TriTech TR28602 AC97 Codec>
pcm0: [ITHREAD]
at the time of failure:
pcm0:record:dsp0.r1: record interrupt timeout, channel dead

Sound recording is a major function and emu10k1 is probably a very (if 
not most) common card.

Is there any more debug messaging that could be turned on for this driver?
Comment 5 Mark Kane 2008-02-19 21:55:58 UTC
On Tue, Feb 19, 2008, at 20:20:03 GMT, Yuri wrote:
>  Now I tried again and it doesn't work again for me.
>  Kernel: 7.0-PRERELEASE FreeBSD 7.0-PRERELEASE #4: Tue Feb 19
> 08:18:11 PST 2008
>  Seems the problem is intermittent or dependent on the version of 7.0.
>  
>  Relevant dmesg messages:
>  pcm0: <TriTech TR28602 AC97 Codec>
>  pcm0: [ITHREAD]
>  at the time of failure:
>  pcm0:record:dsp0.r1: record interrupt timeout, channel dead
>  
>  Sound recording is a major function and emu10k1 is probably a very
> (if not most) common card.
>  
>  Is there any more debug messaging that could be turned on for this
> driver? 

I was just writing another reply to the PR with some additional
information (mainly the dmesg messages and a workaround) but I will
answer in reply to you here instead.

Yesterday I came across kern/118546 and tried the suggestion of setting
"dev.pcm.0.rec.vchans" to 0 which appears to have fixed the recording
problem for me here on emu10k1. When set to 1 (the default) it does not
record properly.

I tried to adapt the patch from snd_ich in kern/118546 and in the
commit that fixed the problem for that driver to emu10k1 but I am not
very experienced in C yet so I did not have much luck.

So for now, "sysctl dev.pcm.0.rec.vchans=0" allows recording to work
again for me on an Audigy 2 Platinum with emu10k1 but a proper fix
would be great too.

Thanks!

-Mark
Comment 6 Thomas Zander freebsd_committer 2014-11-03 08:18:12 UTC
7.0 is not really supported anymore. Does this work in supported releases?
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:33 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 8 Yuri Victorovich freebsd_committer 2018-05-28 19:49:05 UTC
This is probably considered to be an ancient card now. I still have it somewhere.
Should it even still be supported? Not sure if it's worth to retest it.